Bug 478233 - MIGRATED_FROM_JIRA: LDAPClient does not properly escape JNDI names with slashes (/)
MIGRATED_FROM_JIRA: LDAPClient does not properly escape JNDI names with slash...
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Engine (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:10 EST by Chandrasekar Kannan
Modified: 2016-01-28 17:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:10:46 EST
LDAPClient operations do not properly escape when converting from DN or RDN objects to Strings. Specifically, they do not take into account the slash '/', which is a JNDI special character and needs to be escaped. Failure to do so causes operations on DNs with slashes to fail when the underlying JNDI-LDAP implementation gets the data.

See http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=4307193
Additional Comments From ddunkin dated Mon Oct 08 18:43:18 CDT 2007 
This patch against the 1.2 branch adds getJndiName methods to DN and RDN. These methods return a javax.naming.Name that is properly escaped. The patch against RDN contains chunks from my work on PENROSE-260; sorry.

Additional Comments From endisd dated Thu Jan 24 21:42:23 CST 2008 
This has been fixed in Penrose 1.2.5 and 2.0.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {
                              'name' => 'Engine',
                              'id' => '10009'
                            }
                          ],
          'attachmentNames' => '264.patch',
          'reporter' => 'ddunkin',
          'key' => 'PENROSE-264',
          'assignee' => 'endisd',
          'summary' => 'LDAPClient does not properly escape JNDI names with slashes (/)',
          'id' => '10879',
          'updated' => '2008-01-24 21:42:23.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2008-04-14 00:00:00.0',
                             'sequence' => '27',
                             'name' => 'Penrose-1.2.5',
                             'released' => 'true',
                             'id' => '10124',
                             'archived' => 'false'
                           },
                           {
                             'releaseDate' => '2008-04-07 00:00:00.0',
                             'sequence' => '28',
                             'name' => 'Penrose-2.0RC1',
                             'released' => 'true',
                             'id' => '10093',
                             'archived' => 'false'
                           }
                         ],
          'description' => 'LDAPClient operations do not properly escape when converting from DN or RDN objects to Strings. Specifically, they do not take into account the slash '/', which is a JNDI special character and needs to be escaped. Failure to do so causes operations on DNs with slashes to fail when the underlying JNDI-LDAP implementation gets the data.

See http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=4307193',
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2007-07-17 00:00:00.0',
                                 'sequence' => '26',
                                 'name' => 'Penrose-1.2.4',
                                 'released' => 'true',
                                 'id' => '10123',
                                 'archived' => 'false'
                               }
                             ],
          'created' => '2007-10-08 18:37:18.0',
          'resolution' => '1',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 03:10:49 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-264

Note You need to log in before you can comment on or make changes to this bug.